> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App-Fee Withdrawal

> A single app-fee withdrawal owned by the authenticated project, with its status and USD value paid out.



## OpenAPI

````yaml https://raw.githubusercontent.com/rhinestonewtf/openapi/refs/heads/main/orchestrator/blanc.json get /app-fees/withdrawals/{nonce}
openapi: 3.0.0
info:
  title: Rhinestone Orchestrator API
  version: 2026-04.blanc
servers:
  - url: https://v1.orchestrator.rhinestone.dev
security: []
paths:
  /app-fees/withdrawals/{nonce}:
    get:
      tags:
        - App Fees
      summary: Get App-Fee Withdrawal
      description: >-
        A single app-fee withdrawal owned by the authenticated project, with its
        status and USD value paid out.
      operationId: getAppFeeWithdrawal
      parameters:
        - name: x-api-version
          in: header
          required: true
          schema:
            type: string
            enum:
              - 2026-04.blanc
          description: API version. Required; pinned to this document.
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          description: API key.
        - name: nonce
          in: path
          required: true
          schema:
            type: string
            pattern: ^\d+$
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestNonce:
                    type: string
                    pattern: ^\d+$
                  status:
                    type: string
                    enum:
                      - PENDING
                      - COMPLETED
                      - FAILED
                  payoutUsd:
                    type: number
                  targetChainId:
                    type: integer
                  targetToken:
                    type: string
                  targetAmount:
                    type: string
                  payoutAddress:
                    type: string
                  txHash:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
                required:
                  - requestNonce
                  - status
                  - payoutUsd
                  - targetChainId
                  - targetToken
                  - targetAmount
                  - payoutAddress
                  - txHash
                  - createdAt
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                discriminator:
                  propertyName: code
                oneOf:
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                              description: Human-readable issue description
                            context:
                              type: object
                              additionalProperties: {}
                              description: >-
                                Structured issue context (e.g. `{ path:
                                "body.accountAddress" }`)
                          required:
                            - message
                        description: Per-field validation issues
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - SIMULATION_FAILED
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: object
                        properties:
                          nonce:
                            type: string
                          category:
                            type: string
                          errorSelector:
                            type: string
                          errorName:
                            type: string
                          errorArgs:
                            type: object
                            additionalProperties:
                              type: string
                          retryable:
                            type: boolean
                          retryHint:
                            type: string
                            enum:
                              - RE_PREPARE
                              - RETRY_LATER
                          simulations: {}
                        required:
                          - category
                          - errorSelector
                          - errorName
                          - retryable
                        additionalProperties: true
                        description: Classified on-chain simulation failure details
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - INSUFFICIENT_LIQUIDITY
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: object
                        properties:
                          availableIntents:
                            type: array
                            items:
                              type: object
                              additionalProperties:
                                type: string
                            description: Intents fillable with current liquidity
                          unfillable:
                            type: object
                            additionalProperties:
                              type: string
                            description: Token amounts that cannot be filled
                        required:
                          - availableIntents
                          - unfillable
                        description: Fillable subset and unfillable remainder
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - KEY_SCOPE_DENIED
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                            context:
                              type: object
                              properties:
                                scope:
                                  type: string
                                  enum:
                                    - allowMainnet
                                    - intents
                                    - deposits
                                  description: Which scope rejected the request
                                required:
                                  oneOf:
                                    - type: boolean
                                    - type: string
                                      enum:
                                        - read
                                        - write
                                  description: Minimum level the endpoint demands
                                actual:
                                  oneOf:
                                    - type: boolean
                                    - type: string
                                      enum:
                                        - none
                                        - read
                                        - write
                                  description: Level resolved on the key
                              required:
                                - scope
                                - required
                                - actual
                          required:
                            - message
                            - context
                        description: Single-element list describing the failing scope
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - NOT_FOUND
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - CONFLICT
                          - WITHDRAWAL_IN_PROGRESS
                          - WITHDRAWAL_FINALIZATION_PENDING
                          - UNPROCESSABLE_CONTENT
                          - TOO_MANY_REQUESTS
                          - SETTLEMENT_QUOTE_ERROR
                          - SETTLEMENT_EXECUTION_ERROR
                          - EXTERNAL_SERVICE_TIMEOUT
                          - RELAYER_MARKET_UNAVAILABLE
                          - INTERNAL_ERROR
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                    required:
                      - code
                      - message
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                discriminator:
                  propertyName: code
                oneOf:
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                              description: Human-readable issue description
                            context:
                              type: object
                              additionalProperties: {}
                              description: >-
                                Structured issue context (e.g. `{ path:
                                "body.accountAddress" }`)
                          required:
                            - message
                        description: Per-field validation issues
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - SIMULATION_FAILED
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: object
                        properties:
                          nonce:
                            type: string
                          category:
                            type: string
                          errorSelector:
                            type: string
                          errorName:
                            type: string
                          errorArgs:
                            type: object
                            additionalProperties:
                              type: string
                          retryable:
                            type: boolean
                          retryHint:
                            type: string
                            enum:
                              - RE_PREPARE
                              - RETRY_LATER
                          simulations: {}
                        required:
                          - category
                          - errorSelector
                          - errorName
                          - retryable
                        additionalProperties: true
                        description: Classified on-chain simulation failure details
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - INSUFFICIENT_LIQUIDITY
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: object
                        properties:
                          availableIntents:
                            type: array
                            items:
                              type: object
                              additionalProperties:
                                type: string
                            description: Intents fillable with current liquidity
                          unfillable:
                            type: object
                            additionalProperties:
                              type: string
                            description: Token amounts that cannot be filled
                        required:
                          - availableIntents
                          - unfillable
                        description: Fillable subset and unfillable remainder
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - KEY_SCOPE_DENIED
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                            context:
                              type: object
                              properties:
                                scope:
                                  type: string
                                  enum:
                                    - allowMainnet
                                    - intents
                                    - deposits
                                  description: Which scope rejected the request
                                required:
                                  oneOf:
                                    - type: boolean
                                    - type: string
                                      enum:
                                        - read
                                        - write
                                  description: Minimum level the endpoint demands
                                actual:
                                  oneOf:
                                    - type: boolean
                                    - type: string
                                      enum:
                                        - none
                                        - read
                                        - write
                                  description: Level resolved on the key
                              required:
                                - scope
                                - required
                                - actual
                          required:
                            - message
                            - context
                        description: Single-element list describing the failing scope
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - NOT_FOUND
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - CONFLICT
                          - WITHDRAWAL_IN_PROGRESS
                          - WITHDRAWAL_FINALIZATION_PENDING
                          - UNPROCESSABLE_CONTENT
                          - TOO_MANY_REQUESTS
                          - SETTLEMENT_QUOTE_ERROR
                          - SETTLEMENT_EXECUTION_ERROR
                          - EXTERNAL_SERVICE_TIMEOUT
                          - RELAYER_MARKET_UNAVAILABLE
                          - INTERNAL_ERROR
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                    required:
                      - code
                      - message
        '403':
          description: API key scope denied
          content:
            application/json:
              schema:
                discriminator:
                  propertyName: code
                oneOf:
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                              description: Human-readable issue description
                            context:
                              type: object
                              additionalProperties: {}
                              description: >-
                                Structured issue context (e.g. `{ path:
                                "body.accountAddress" }`)
                          required:
                            - message
                        description: Per-field validation issues
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - SIMULATION_FAILED
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: object
                        properties:
                          nonce:
                            type: string
                          category:
                            type: string
                          errorSelector:
                            type: string
                          errorName:
                            type: string
                          errorArgs:
                            type: object
                            additionalProperties:
                              type: string
                          retryable:
                            type: boolean
                          retryHint:
                            type: string
                            enum:
                              - RE_PREPARE
                              - RETRY_LATER
                          simulations: {}
                        required:
                          - category
                          - errorSelector
                          - errorName
                          - retryable
                        additionalProperties: true
                        description: Classified on-chain simulation failure details
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - INSUFFICIENT_LIQUIDITY
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: object
                        properties:
                          availableIntents:
                            type: array
                            items:
                              type: object
                              additionalProperties:
                                type: string
                            description: Intents fillable with current liquidity
                          unfillable:
                            type: object
                            additionalProperties:
                              type: string
                            description: Token amounts that cannot be filled
                        required:
                          - availableIntents
                          - unfillable
                        description: Fillable subset and unfillable remainder
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - KEY_SCOPE_DENIED
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                            context:
                              type: object
                              properties:
                                scope:
                                  type: string
                                  enum:
                                    - allowMainnet
                                    - intents
                                    - deposits
                                  description: Which scope rejected the request
                                required:
                                  oneOf:
                                    - type: boolean
                                    - type: string
                                      enum:
                                        - read
                                        - write
                                  description: Minimum level the endpoint demands
                                actual:
                                  oneOf:
                                    - type: boolean
                                    - type: string
                                      enum:
                                        - none
                                        - read
                                        - write
                                  description: Level resolved on the key
                              required:
                                - scope
                                - required
                                - actual
                          required:
                            - message
                            - context
                        description: Single-element list describing the failing scope
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - NOT_FOUND
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - CONFLICT
                          - WITHDRAWAL_IN_PROGRESS
                          - WITHDRAWAL_FINALIZATION_PENDING
                          - UNPROCESSABLE_CONTENT
                          - TOO_MANY_REQUESTS
                          - SETTLEMENT_QUOTE_ERROR
                          - SETTLEMENT_EXECUTION_ERROR
                          - EXTERNAL_SERVICE_TIMEOUT
                          - RELAYER_MARKET_UNAVAILABLE
                          - INTERNAL_ERROR
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                    required:
                      - code
                      - message
        '404':
          description: Withdrawal not found
          content:
            application/json:
              schema:
                discriminator:
                  propertyName: code
                oneOf:
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                              description: Human-readable issue description
                            context:
                              type: object
                              additionalProperties: {}
                              description: >-
                                Structured issue context (e.g. `{ path:
                                "body.accountAddress" }`)
                          required:
                            - message
                        description: Per-field validation issues
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - SIMULATION_FAILED
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: object
                        properties:
                          nonce:
                            type: string
                          category:
                            type: string
                          errorSelector:
                            type: string
                          errorName:
                            type: string
                          errorArgs:
                            type: object
                            additionalProperties:
                              type: string
                          retryable:
                            type: boolean
                          retryHint:
                            type: string
                            enum:
                              - RE_PREPARE
                              - RETRY_LATER
                          simulations: {}
                        required:
                          - category
                          - errorSelector
                          - errorName
                          - retryable
                        additionalProperties: true
                        description: Classified on-chain simulation failure details
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - INSUFFICIENT_LIQUIDITY
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: object
                        properties:
                          availableIntents:
                            type: array
                            items:
                              type: object
                              additionalProperties:
                                type: string
                            description: Intents fillable with current liquidity
                          unfillable:
                            type: object
                            additionalProperties:
                              type: string
                            description: Token amounts that cannot be filled
                        required:
                          - availableIntents
                          - unfillable
                        description: Fillable subset and unfillable remainder
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - KEY_SCOPE_DENIED
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                            context:
                              type: object
                              properties:
                                scope:
                                  type: string
                                  enum:
                                    - allowMainnet
                                    - intents
                                    - deposits
                                  description: Which scope rejected the request
                                required:
                                  oneOf:
                                    - type: boolean
                                    - type: string
                                      enum:
                                        - read
                                        - write
                                  description: Minimum level the endpoint demands
                                actual:
                                  oneOf:
                                    - type: boolean
                                    - type: string
                                      enum:
                                        - none
                                        - read
                                        - write
                                  description: Level resolved on the key
                              required:
                                - scope
                                - required
                                - actual
                          required:
                            - message
                            - context
                        description: Single-element list describing the failing scope
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - NOT_FOUND
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - CONFLICT
                          - WITHDRAWAL_IN_PROGRESS
                          - WITHDRAWAL_FINALIZATION_PENDING
                          - UNPROCESSABLE_CONTENT
                          - TOO_MANY_REQUESTS
                          - SETTLEMENT_QUOTE_ERROR
                          - SETTLEMENT_EXECUTION_ERROR
                          - EXTERNAL_SERVICE_TIMEOUT
                          - RELAYER_MARKET_UNAVAILABLE
                          - INTERNAL_ERROR
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                    required:
                      - code
                      - message
        '500':
          description: Server error
          content:
            application/json:
              schema:
                discriminator:
                  propertyName: code
                oneOf:
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                              description: Human-readable issue description
                            context:
                              type: object
                              additionalProperties: {}
                              description: >-
                                Structured issue context (e.g. `{ path:
                                "body.accountAddress" }`)
                          required:
                            - message
                        description: Per-field validation issues
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - SIMULATION_FAILED
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: object
                        properties:
                          nonce:
                            type: string
                          category:
                            type: string
                          errorSelector:
                            type: string
                          errorName:
                            type: string
                          errorArgs:
                            type: object
                            additionalProperties:
                              type: string
                          retryable:
                            type: boolean
                          retryHint:
                            type: string
                            enum:
                              - RE_PREPARE
                              - RETRY_LATER
                          simulations: {}
                        required:
                          - category
                          - errorSelector
                          - errorName
                          - retryable
                        additionalProperties: true
                        description: Classified on-chain simulation failure details
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - INSUFFICIENT_LIQUIDITY
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: object
                        properties:
                          availableIntents:
                            type: array
                            items:
                              type: object
                              additionalProperties:
                                type: string
                            description: Intents fillable with current liquidity
                          unfillable:
                            type: object
                            additionalProperties:
                              type: string
                            description: Token amounts that cannot be filled
                        required:
                          - availableIntents
                          - unfillable
                        description: Fillable subset and unfillable remainder
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - KEY_SCOPE_DENIED
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                      details:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                            context:
                              type: object
                              properties:
                                scope:
                                  type: string
                                  enum:
                                    - allowMainnet
                                    - intents
                                    - deposits
                                  description: Which scope rejected the request
                                required:
                                  oneOf:
                                    - type: boolean
                                    - type: string
                                      enum:
                                        - read
                                        - write
                                  description: Minimum level the endpoint demands
                                actual:
                                  oneOf:
                                    - type: boolean
                                    - type: string
                                      enum:
                                        - none
                                        - read
                                        - write
                                  description: Level resolved on the key
                              required:
                                - scope
                                - required
                                - actual
                          required:
                            - message
                            - context
                        description: Single-element list describing the failing scope
                    required:
                      - code
                      - message
                  - type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - NOT_FOUND
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - CONFLICT
                          - WITHDRAWAL_IN_PROGRESS
                          - WITHDRAWAL_FINALIZATION_PENDING
                          - UNPROCESSABLE_CONTENT
                          - TOO_MANY_REQUESTS
                          - SETTLEMENT_QUOTE_ERROR
                          - SETTLEMENT_EXECUTION_ERROR
                          - EXTERNAL_SERVICE_TIMEOUT
                          - RELAYER_MARKET_UNAVAILABLE
                          - INTERNAL_ERROR
                      message:
                        type: string
                        description: Human-readable error message
                        example: Invalid input
                    required:
                      - code
                      - message

````